package moazs.modell;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.sql.Blob;
import java.sql.SQLException;

import moazs.util.MiscUtil;

import org.hibernate.Hibernate;

public class DynamicSenderData {

  private long id;
  private String address;
  
  private Blob senderData;

  public long getId() {
    return id;
  }

  public void setId(long id) {
    this.id = id;
  }

  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }
  
  public byte[] getSenderDataAsByteArray() throws IOException {
    try {
      ByteArrayOutputStream bos = new ByteArrayOutputStream();
      MiscUtil.dumpInputOutputStream(this.senderData.getBinaryStream(), bos);
      return bos.toByteArray();
    } catch(SQLException e) {
      throw new IOException(e.getMessage());
    }
  }
  
  public Blob getSenderData() {
    return this.senderData;
  }
  
  public void setSenderData(byte[] senderData) {
    this.senderData = Hibernate.createBlob(senderData);
  }
  
  public void setSenderData(InputStream senderData) throws IOException {
    this.senderData = Hibernate.createBlob(senderData);
  }
  
  public void setSenderData(Blob senderData) {
    this.senderData = senderData;
  }
  
}
