package moazs.modell;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.sql.Blob;
import java.sql.SQLException;

import org.hibernate.Hibernate;

import moazs.util.MiscUtil;

public class Mailbody {

  private long id;
  private String mimeType;
  private String charSet;
  private Blob mailBody;
  
//---------------------------------------
  public long getId() {
    return id;
  }
  public void setId(long id) {
    this.id = id;
  }
  public String getMimeType() {
    return mimeType;
  }
  public void setMimeType(String mimeType) {
    this.mimeType = mimeType;
  }
  public Blob getMailBody() {
    return mailBody;
  }
  
  public byte[] getMailBodyAsByteArray() throws IOException {
    try {
      ByteArrayOutputStream bos = new ByteArrayOutputStream();
      MiscUtil.dumpInputOutputStream(this.mailBody.getBinaryStream(), bos);
      return bos.toByteArray();
    } catch(SQLException e) {
      throw new IOException(e.getMessage());
    }
  }
  
  public void setMailBody(byte[] mailBody) {
    this.mailBody = Hibernate.createBlob(mailBody);
  }
  
  public void setMailBody(Blob mailBody) {
    this.mailBody = mailBody;
  }
  
  
  
  
}
