/*
 * Copyright 2004 Bundeskanzleramt sterreich
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package moazs.modell;

public class Postaladdress {
    private long id;
    private Rcpt rcpt;
    private String countrycode;
    private String postalcode;
    private String municipality;
    private String streetname;
    private String building;
    private String unit;
    private String door;
    
    public Postaladdress() {
    }

    public long getId() {
        return this.id;
    }

    public void setId( long id) {
        this.id = id;
    }

    public Rcpt getRcpt() {
        return this.rcpt;
    }

    public void setRcpt(Rcpt rcpt) {
        this.rcpt = rcpt;
    }

    public String getCountrycode() {
        return this.countrycode;
    }

    public void setCountrycode(String countrycode ) {
        this.countrycode = countrycode;
    }

    public String getPostalcode() {
        return this.postalcode;
    }

    public void setPostalcode(String postalcode ) {
        this.postalcode = postalcode;
    }

    public String getMunicipality() {
        return this.municipality;
    }

    public void setMunicipality(String municipality ) {
        this.municipality = municipality;
    }

    public String getStreetname() {
        return this.streetname;
    }

    public void setStreetname(String streetname ) {
        this.streetname = streetname;
    }
    
    public String getBuilding() {
        return this.building;
    }

    public void setBuilding(String building ) {
        this.building = building;
    }

    public String getUnit() {
        return this.unit;
    }

    public void setUnit(String unit ) {
        this.unit = unit;
    }

    public String getDoor() {
        return this.door;
    }

    public void setDoor(String door ) {
        this.door = door;
    }

}   


