package moazs.util;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Collection;

import org.hibernate.criterion.Criterion;

public class MiscUtil {

  public static boolean isNotEmpty(Collection c) {
    return c != null && !c.isEmpty();
  }
  
  public static boolean isNotEmpty(Object[] o) {
    return o != null && o.length > 0;
  }
  
  public static String toString(Object[] o) {
    if (o != null) {
      String ret = "[";
      for (int i=0; i<o.length; i++) {
        ret += o.toString();
        if (i != (o.length - 1)) {
          ret += ",";
        }
      }
      ret += "]";
    }
    // object array is null
    return null;
  }
  
  public static Criterion[] criterionToArray(Criterion o) {
    return new Criterion[] { o };
  }
  
  public static void dumpInputOutputStream(InputStream inputstream,
      OutputStream outputstream) throws IOException {
    if (inputstream == null) {
      return;
    }
    int len;
    byte[] buffer = new byte[1024];
    while ((len = inputstream.read(buffer)) != -1) {
      outputstream.write(buffer, 0, len);
    }
  }
  
}
