package moazs.modell;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.sql.Blob;
import java.sql.SQLException;

import moazs.util.MiscUtil;

import org.hibernate.Hibernate;

public class DualDelivery {

  private long id;
  private String dualDeliveryServer;
  private Blob printParameter;
 
  
  public long getId() {
    return id;
  }
  
  public void setId(long id) {
    this.id = id;
  }
  
  public String getDualDeliveryServer() {
    return dualDeliveryServer;
  }
  
  public void setDualDeliveryServer(String dualDeliveryServer) {
    this.dualDeliveryServer = dualDeliveryServer;
  }
  
  public byte[] getPrintParameterAsByteArray() throws IOException {
    try {
      ByteArrayOutputStream bos = new ByteArrayOutputStream();
      MiscUtil.dumpInputOutputStream(this.printParameter.getBinaryStream(), bos);
      return bos.toByteArray();
    } catch(SQLException e) {
      throw new IOException(e.getMessage());
    }
  }
  
  public Blob getPrintParameter() {
    return printParameter;
  }
  
  public void setPrintParameter(byte[] printParameter) {
    this.printParameter = Hibernate.createBlob(printParameter);
  }
  
  public void setPrintParameter(InputStream printParameter) throws IOException {
    this.printParameter = Hibernate.createBlob(printParameter);
  }
  
  public void setPrintParameter(Blob printParameter) {
    this.printParameter = printParameter;
  }
  
  
  
  
}
