package moazs.ssl;

import java.io.IOException;
import java.net.InetAddress;
import java.net.Socket;
import java.net.UnknownHostException;

import org.apache.commons.httpclient.protocol.SecureProtocolSocketFactory;

public class IAIKSecureProtocolSocketFactory implements
    SecureProtocolSocketFactory {

  private static IAIKSecureSocketFactory socketFactory = new IAIKSecureSocketFactory(null);
  
  public Socket createSocket(Socket socket, String host, int port, boolean autoClose)
      throws IOException, UnknownHostException {
    return socketFactory.create(host, port, null, null);
  }

  public Socket createSocket(String host, int port) throws IOException,
      UnknownHostException {
    return socketFactory.create(host, port, null, null);
  }

  public Socket createSocket(String host, int port, InetAddress clientHost, int clientPort)
      throws IOException, UnknownHostException {
    return socketFactory.create(host, port, null, null);
  }

}
