package moazs.szr;

public class SZRClientException extends Exception {

  private static final long serialVersionUID = -4896866959842707019L;

  private int error;
  
  public SZRClientException() {
  }
  
  public SZRClientException(String message, int code) {
    super(message);
    this.error = code;
  }
  
  public int getSZRErrorCode() {
    return error;
  }

  public SZRClientException(String message) {
    super(message);
  }

  public SZRClientException(Throwable cause) {
    super(cause);
  }

  public SZRClientException(String message, Throwable cause) {
    super(message, cause);
  }

}
