import junit.framework.TestSuite;



public class TestAll {

    /**
     * Default constructor
     */
    public TestAll() {

    }

    
    public static TestSuite suite() {
        TestSuite suite = new TestSuite("MoaZS");

        suite.addTestSuite(TestSync.class);

        suite.addTestSuite(TestAsync.class);

        suite.addTestSuite(TestSender.class);
        suite.addTestSuite(TestRcpt.class);
        suite.addTestSuite(TestPayload.class);
        suite.addTestSuite(TestMoaConfig.class);
        suite.addTestSuite(TestEncryption.class);
        suite.addTestSuite(TestDeliveryNotification.class);
        suite.addTestSuite(TestSS.class);
        suite.addTestSuite(TestMoaDelivery.class);
        suite.addTestSuite(TestZuseRequest.class);

        suite.addTestSuite(TestSZR.class);
        suite.addTestSuite(TestDeckblatt.class);
        return suite;
    }
}

